package com.ho.xxljob.feignclient;

import com.ho.business.vo.req.MonitorQuery;
import com.ho.common.tools.exception.BaseResponseCode;
import com.ho.common.tools.exception.BusinessException;
import com.ho.common.tools.exception.DataResult;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;


@Component
public class BusinessFeignClientFallback implements BusinessFeignClient {

    Logger log = LoggerFactory.getLogger(getClass());

    @Override
    public DataResult jobIntegratedCabinetHour(MonitorQuery monitorQuery) {
        log.error("BusinessFeignClient.jobIntegratedCabinetHour error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public DataResult jobIntegratedCabinet(MonitorQuery monitorQuery) {
        log.error("BusinessFeignClient.jobIntegratedCabinet error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public DataResult jobStationWeathers() {
        log.error("BusinessFeignClient.jobStationWeathers error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public DataResult intervalGene4RealTimeDataBySrc() {
        log.error("BusinessFeignClient.intervalGene4RealTimeDataBySrc error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }


    @Override
    public void deletedPicture() {
        log.error("BusinessFeignClient.deletedPicture error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void revenueStatisticsJob() {
        log.error("BusinessFeignClient.revenueStatisticsJob error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobIncomeDataManage() {
        log.error("BusinessFeignClient.jobIncomeDataManage error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobStationState() {
        log.error("BusinessFeignClient.jobStationState error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobMaintenanceInsert() {
        log.error("BusinessFeignClient.jobMaintenanceInsert error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobEarningsCalculate(String dateTime) {
        log.error("BusinessFeignClient.jobEarningsCalculate error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobEarningsCalculateMppt(String dateTime) {
        log.error("BusinessFeignClient.jobEarningsCalculateMppt error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobEarningsCalculateMpptToDay(String dateTime) {
        log.error("BusinessFeignClient.jobEarningsCalculateMpptToDay error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobFreezeMonthTotalEle() {
        log.error("BusinessFeignClient.jobFreezeMonthTotalEle error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobGetDayDate() {
        log.error("BusinessFeignClient.jobGetDayDate error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobGetSystemEfficiency() {
        log.error("BusinessFeignClient.jobGetSystemEfficiency error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

    @Override
    public void jobUpdateMessageInfo() {
        log.error("BusinessFeignClient.jobUpdateMessageInfo error!");
        throw new BusinessException(BaseResponseCode.FEIGN_CALL_FAIL);
    }

}
